Package org.eclipse.rdf4j.sail.lucene.impl

## Class LuceneDocumentScore

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.impl.LuceneDocumentResult
  - - org.eclipse.rdf4j.sail.lucene.impl.LuceneDocumentScore

- All Implemented Interfaces:
    `DocumentResult`, `DocumentScore`

      public class LuceneDocumentScore
      extends LuceneDocumentResult
      implements DocumentScore

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.lucene.impl.LuceneDocumentResult

      `index, scoreDoc`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LuceneDocumentScore​(org.apache.lucene.search.ScoreDoc doc, org.apache.lucene.search.highlight.Highlighter highlighter, LuceneIndex index)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `getScore()` |
    `Iterable<String>` | `getSnippets​(String field)` |
    `boolean` | `isHighlighted()` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.impl.LuceneDocumentResult

      `getDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.lucene.DocumentResult

      `getDocument`

- - ### Constructor Detail

    - #### LuceneDocumentScore

          public LuceneDocumentScore​(org.apache.lucene.search.ScoreDoc doc,
                                     org.apache.lucene.search.highlight.Highlighter highlighter,
                                     LuceneIndex index)

  - ### Method Detail

    - #### getScore

          public float getScore()

      Specified by:
        `getScore` in interface `DocumentScore`

    - #### isHighlighted

          public boolean isHighlighted()

      Specified by:
        `isHighlighted` in interface `DocumentScore`

    - #### getSnippets

          public Iterable<String> getSnippets​(String field)

      Specified by:
        `getSnippets` in interface `DocumentScore`